--- system-config-date.docs.fr.po	2009-04-07 23:17:22.000000000 +0200
+++ system-config-date.docs.fr.1.po	2009-04-08 22:29:25.000000000 +0200
@@ -1,13 +1,18 @@
+# , 2009.
+# 
+# 
 msgid ""
 msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
+"Project-Id-Version: system-config-date.docs.fr.1\n"
+"Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-03-12 11:08+0100\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
+"PO-Revision-Date: 2009-04-08 22:05+0200\n"
+"Last-Translator: David Leray <david.leray@gmail.com>\n"
+"Language-Team: French <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);"
 
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
@@ -18,13 +23,14 @@
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:215(None)
-msgid ""
-"@@image: 'images/date-time-ntp.png'; md5=f34de73a771f99334204cdd6419dc7e0"
+#, fuzzy
+msgid "@@image: 'images/date-time-ntp.png'; md5=f34de73a771f99334204cdd6419dc7e0"
 msgstr ""
 
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:254(None)
+#, fuzzy
 msgid "@@image: 'images/timezone.png'; md5=22fe7e3155978df6b828a8ea6744cfe3"
 msgstr ""
 
@@ -34,55 +40,68 @@
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:120(see)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:125(see)
 msgid "Time and Date Properties Tool"
-msgstr ""
+msgstr "Outil de configuration des propriétés de la date et de l'heure"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:57(revnumber)
 msgid "1.0"
-msgstr ""
+msgstr "1.0"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:58(date)
+#, fuzzy
 msgid "2007-11-22"
-msgstr ""
+msgstr "22/11/2007"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:59(revremark)
 msgid "Initial revision"
-msgstr ""
+msgstr "Révision initiale"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:62(revnumber)
 msgid "1.0.1"
-msgstr ""
+msgstr "1.0.1"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:63(date)
+#, fuzzy
 msgid "2008-01-17"
-msgstr ""
+msgstr "17/01/2008"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:64(revremark)
+#, fuzzy
 msgid "Make DocBook XML validate properly"
-msgstr ""
+msgstr "Valider le XML DocBook"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:67(revnumber)
 msgid "1.0.2"
-msgstr ""
+msgstr "1.0.2"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:68(date)
+#, fuzzy
 msgid "2008-01-18"
-msgstr ""
+msgstr "18/01/2008"
+
+#.J'ai mis les dates en français, du coup ce n'est plus au format XML
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:69(revremark)
+#, fuzzy
 msgid "Make document abstract external"
 msgstr ""
 
+#.Là, je ne vois pas...
+
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:72(revnumber)
 msgid "1.0.3"
-msgstr ""
+msgstr "1.0.3"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:73(date)
+#, fuzzy
 msgid "2008-03-12"
-msgstr ""
+msgstr "12/03/2008"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:74(revremark)
+#, fuzzy
 msgid "Use menuchoice elements where applicable"
-msgstr ""
+msgstr "Utilisez les éléments des menus lorsque c'est possible"
+
+#.Je ne vois pas à quoi ça fait référence dans la doc anglaise
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:79(para)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:103(para)
@@ -91,52 +110,57 @@
 "to change the system date and time, to configure the time zone used by the "
 "system, and to setup the Network Time Protocol (NTP) daemon to synchronize "
 "the system clock with a time server."
-msgstr ""
+msgstr "<application>L'outil de configuration de la date et de l'heure</application> permet à l'utilisateur de changer la date et l'heure du système, de configurer le fuseau horaire utilisé par le système et de configurer le démon Network Time Protocol (NTP) permettant la synchronisation de l'horloge système avec un serveur de temps."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:91(trademark)
 msgid "Red Hat"
-msgstr ""
+msgstr "Red Hat"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:90(corpauthor)
+#, fuzzy
 msgid "<placeholder-1/>, Inc."
-msgstr ""
+msgstr "<placeholder-1/>, Inc."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:98(command)
 msgid "timetool"
-msgstr ""
+msgstr "timetool"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:113(command)
 msgid "system-config-date"
-msgstr ""
+msgstr "system-config-date"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:118(command)
 msgid "system-config-time"
-msgstr ""
+msgstr "system-config-time"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:123(command)
 msgid "dateconfig"
-msgstr ""
+msgstr "dateconfig"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:128(para)
 msgid ""
 "You must be running the <application>X</application> Window System and have "
 "root privileges to use the Time and Date Properties Tool. There are three "
 "ways to start the application:"
-msgstr ""
+msgstr "Le serveur <application>X</application> doit être lancé et vous devez avoir les droits root pour utiliser l'outil de configuration de la date et de l'heure. Il y a trois façons de démarrer l'application :"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:133(para)
+#, fuzzy
 msgid ""
 "From the desktop, go to <menuchoice><guimenu>the main menu on the panel (the "
 "menu with the \"f\" icon)</guimenu><guisubmenu>System</"
 "guisubmenu><guisubmenu>Administration</guisubmenu><guimenuitem>Date &amp; "
 "Time</guimenuitem></menuchoice>"
 msgstr ""
+"À partir du bureau, allez dans <menuchoice><guimenu>le menu principal (généralement identifié par l'icône &laquo;&nbsp;f&nbsp;&raquo;)</guimenu><guisubmenu>Système</guisubmenu><guisubmenu>Administration</guisubmenu><guimenuitem>Date et Heure</guimenuitem></menuchoice>"
+
+#.J'ai mis des entités nommées HTML pour les guillemets français et l'espace insécable.
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:139(para)
 msgid ""
 "From the desktop, right-click on the time in the toolbar and select "
 "<guimenuitem>Adjust Date and Time</guimenuitem>."
-msgstr ""
+msgstr "À partir du bureau, faites un clic-droit sur l'heure affichée dans la barre d'outil et sélectionnez <guimenuitem>Régler la date et l'heure</guimenuitem>."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:145(para)
 msgid ""
@@ -144,42 +168,47 @@
 "config-time</command>, or <command>dateconfig</command> at a shell prompt "
 "(for example, in an <application>XTerm</application> or a "
 "<application>GNOME</application> terminal)."
-msgstr ""
+msgstr "Tapez la commande <command>system-config-date</command>, <command>system-config-time</command> ou <command>dateconfig</command> dans une invite de commande (par exemple, dans un <application>XTerm</application> ou un terminal <application>GNOME</application>)."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:153(title)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:163(title)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:167(para)
 msgid "Time and Date Properties"
-msgstr ""
+msgstr "Propriétés de la date et de l'heure"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:155(primary)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:189(primary)
 msgid "time configuration"
-msgstr ""
+msgstr "Configuration de l'heure"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:158(primary)
 msgid "date configuration"
-msgstr ""
+msgstr "Configuration de la date"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:160(para)
 msgid ""
 "As shown in <xref linkend=\"dateconfig-time-date\"/>, the first tabbed "
 "window that appears is for configuring the system date and time."
 msgstr ""
+"Comme montré dans la <xref linkend=\"dateconfig-time-date\"/>, le premier onglet de la fenêtre permet de configurer la date et l'heure du système."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:173(para)
+#, fuzzy
 msgid ""
 "To change the date, use the arrows to the left and right of the month to "
 "change the month, use the arrows to the left and right of the year to change "
 "the year, and click on the day of the week to change the day of the week."
 msgstr ""
+"Configuration de la date : pour changer le mois, utilisez les flèches gauche et droite encadrant le mois, pour changer l'année, utilisez les flèches gauche et droite encadrant l'année et cliquez sur le jour de la semaine pour modifier le jour de la semaine."
+
+#.J'ai un peu remanié la phrase pour que ça fasse moins lourd, avec moins de répétitions
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:177(para)
 msgid ""
 "To change the time, use the up and down arrow buttons beside the "
 "<guilabel>Hour</guilabel>, <guilabel>Minute</guilabel>, and "
 "<guilabel>Second</guilabel> in the <guilabel>Time</guilabel> section."
-msgstr ""
+msgstr "Configuration de l'heure : utilisez les flèches haut et bas situés à côté de <guilabel>Heure</guilabel>, <guilabel>Minute</guilabel> et <guilabel>Seconde</guilabel> dans la section <guilabel>Heure</guilabel>."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:182(para)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:227(para)
@@ -188,46 +217,49 @@
 "the date and time, the NTP daemon settings, and the time zone settings. It "
 "also exits the program."
 msgstr ""
+"En cliquant sur le bouton <guibutton>Valider</guibutton>, les changements faits à la date, à l'heure, aux propriétés du démon NTP et au fuseau horaire sont appliqués. Cela permet également de quitter le programme."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:187(title)
 msgid "Network Time Protocol (NTP) Properties"
-msgstr ""
+msgstr "Propriétés du protocole de synchronisation de temps par le réseau"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:190(secondary)
 msgid "synchronize with NTP server"
-msgstr ""
+msgstr "Synchronisation avec un serveur NTP"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:193(primary)
 msgid "Network Time Protocol"
-msgstr ""
+msgstr "Protocole de synchronisation de temps par le réseau"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:194(see)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:197(primary)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:201(primary)
 msgid "NTP"
-msgstr ""
+msgstr "NTP"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:198(secondary)
 msgid "configuring"
-msgstr ""
+msgstr "configuration"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:202(command)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:206(command)
 msgid "ntpd"
-msgstr ""
+msgstr "ntpd"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:209(para)
 msgid ""
 "As shown in <xref linkend=\"dateconfig-ntp\"/>, the second tabbed window "
 "that appears is for configuring NTP."
 msgstr ""
+"Comme montré dans la <xref linkend=\"dateconfig-ntp\"/>, le second onglet de la fenêtre permet de configurer NTP."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:212(title)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:216(para)
 msgid "NTP Properties"
-msgstr ""
+msgstr "Propriétés du NTP"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:222(para)
+#, fuzzy
 msgid ""
 "The Network Time Protocol (NTP) daemon synchronizes the system clock with a "
 "remote time server or time source. The application allows you to configure "
@@ -241,20 +273,24 @@
 "After clicking <guibutton>OK</guibutton>, the configuration is saved and the "
 "NTP daemon is started (or restarted if it is already running)."
 msgstr ""
+"Le démon du protocole de synchronisation de temps par le réseau (NTP) règle l'horloge du système sur un serveur de temps distant ou une autre source horaire. L'application vous permet de configurer ce démon NTP afin d'assurer la synchronisation de l'heure de votre système. Pour activer cette fonctionnalité, sélectionnez <guibutton>Activer le protocole de synchronisation de temps par le réseau (NTP)</guibutton>. La liste des <guilabel>serveurs NTP</guilabel> devient accessible ainsi que plusieurs autres options. Vous pouvez choisir l'un de ces serveurs prédéfinis, éditer un serveur prédéfini en cliquant sur le bouton <guibutton>Modifier</guibutton> ou ajouter un nouveau serveur en cliquant sur le bouton  <guibutton>Ajouter</guibutton>. Votre système ne commencera la synchronisation que lorsque vous aurez cliqué sur le bouton <guibutton>Valider</guibutton>. Après avoir cliqué sur le bouton <guibutton>Valider</guibutton>, la configuration est sauvegardée et le démon NTP est lancé (ou relancé s'il était déjà en cours d'exécution)."
+
+#.J'ai coupé la première phrase en deux et j'ai simplifié les morceaux pour éviter des redondances assez lourdes.
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:232(title)
 msgid "Time Zone Configuration"
-msgstr ""
+msgstr "Configuration du Fuseau Horaire"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:234(primary)
 msgid "time zone configuration"
-msgstr ""
+msgstr "configuration du fuseau horaire"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:236(para)
 msgid ""
 "As shown in <xref linkend=\"dateconfig-timezone\"/>, the third tabbed window "
 "that appears is for configuring the system time zone."
 msgstr ""
+"Comme montré dans la <xref linkend=\"dateconfig-timezone\"/>, le troisième onglet de la fenêtre permet de configurer le fuseau horaire utilisé par le système."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:240(para)
 msgid ""
@@ -266,6 +302,7 @@
 "list below the map. You can use the slider to the left of the map to change "
 "the zoom level."
 msgstr ""
+"Pour configurer le fuseau horaire utilisé par le système, cliquez sur l'onglet <guilabel>Fuseau horaire</guilabel>. Le fuseau horaire peut être sélectionné soit par l'intermédiaire de la carte interactive, soit en choisissant le fuseau horaire voulu dans la liste située sous la carte. Pour utiliser la carte, cliquez à l'intérieur de celle-ci, sur le point représentant la ville de référence de votre fuseau horaire. Un <guilabel>X</guilabel> rouge y apparaît et le fuseau horaire correspondant est sélectionné dans la liste sous la carte. Vous pouvez utiliser le curseur situé à gauche de la carte pour changer le niveau de zoom."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:243(para)
 msgid ""
@@ -275,16 +312,16 @@
 "specific continents. Non-geographic time zones have also been added to "
 "address needs in the scientific community."
 msgstr ""
+"Vous pouvez également utiliser la liste sous la carte de la même façon que celle-ci pour choisir une région avant de choisir une ville. La liste des fuseaux horaires est maintenant arborescente, les villes et les pays sont regroupés selon leurs continents respectifs. Les fuseaux horaires non géographiques ont également été ajoutés afin de répondre aux besoins de la communauté scientifique."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:247(para)
-msgid ""
-"Click <guibutton>OK</guibutton> to apply the changes and exit the program."
-msgstr ""
+msgid "Click <guibutton>OK</guibutton> to apply the changes and exit the program."
+msgstr "Cliquer sur le bouton <guibutton>Valider</guibutton> pour appliquer les changements et quitter le programme."
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:251(title)
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:255(para)
 msgid "Timezone Properties"
-msgstr ""
+msgstr "Propriétés des fuseaux horaires"
 
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:261(para)
 msgid ""
@@ -293,8 +330,10 @@
 "Coordinated</firstterm>, also known as Greenwich Mean Time (GMT). Other time "
 "zones are determined by adding or subtracting from the UTC time."
 msgstr ""
+"Si l'horloge de votre système est configurée pour utiliser UTC, sélectionnez l'option <guibutton>Horloge système en UTC</guibutton>. UTC est l'acronyme de <firstterm>Universal Time Coordinated</firstterm> (Temps Universel Coordonné), aussi connu sous le nom de Temps Moyen de Greenwich (Greenwich Mean Time ou GMT). Les autres fuseaux horaires sont calculés à partir de l'heure UTC par soustraction ou addition."
 
 #. Put one translator per line, in the form of NAME <EMAIL>, YEAR1, YEAR2.
 #: /home/nils/src/system-config-date/hosted/doc/C/system-config-date-complete.xml:0(None)
 msgid "translator-credits"
-msgstr ""
+msgstr "Crédits pour la traduction"
+