--- fedora-release-notes_Java_fr.po	2011-05-07 18:13:37.708888470 +0200
+++ fedora-release-notes_Java_fr1.po	2011-05-07 20:23:33.000000000 +0200
@@ -1,232 +1,280 @@
 # AUTHOR <EMAIL@ADDRESS>, YEAR.
 # 
 msgid ""
 msgstr ""
 "Project-Id-Version: Fedora Release Notes\n"
 "POT-Creation-Date: 2011-05-04T00:16:12\n"
-"PO-Revision-Date: 2011-05-03 22:17+0000\n"
-"Last-Translator: zoglesby <zoglesby@fedoraproject.org>\n"
+"PO-Revision-Date: 2011-05-07 20:23+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
 
 #. Tag: title
 #, no-c-format
 msgid "Java"
 msgstr "Java"
 
 #. Tag: title
 #, no-c-format
 msgid "IcedTea6 1.10"
-msgstr ""
+msgstr "IcedTea6 1.10"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>IcedTea</primary>"
-msgstr ""
+msgstr "<primary>IcedTea</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>PCKS#11</primary>"
-msgstr ""
+msgstr "<primary>PCKS#11</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>HotSpot</primary>"
-msgstr ""
+msgstr "<primary>HotSpot</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>JNLP</primary>"
-msgstr ""
+msgstr "<primary>JNLP</primary>"
 
 #. Tag: para
 #, no-c-format
 msgid "Some of the major improvements in 1.10 include:"
-msgstr ""
+msgstr "Voici quelques-unes des améliorations majeures de la version 1.10 : "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Many graphics improvements and bug fixes, including support for "
 "shaped/translucent windows and hw/lw mixing"
 msgstr ""
+"de nombreuses améliorations et corrections d'anomalies graphiques, y compris "
+"la prise en charge des fenêtres transparentes, de leurs contours "
+"et le mélange hw/lw"
 
 #. Tag: para
 #, no-c-format
 msgid "Performance gains with PKCS#11 provider"
-msgstr ""
+msgstr "gains de performances avec le prestataire PKCS#11"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Numerous other VM stability and performance improvements that come with "
 "HotSpot 20"
 msgstr ""
+"des performances et une stabilité améliorées pour les nombreuses autres VM "
+"qui accompagnent la venue de HotSpot 20"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<package>IcedTea6</package> 1.10 provides many performance and stability and"
 " performance benefits over the 1.8 and 1.9 series that are in Fedora 13 and "
 "14 respectively."
 msgstr ""
+"<package>IcedTea6</package> 1.10 bénéficie d'une amélioration de ses performances et d'une "
+"stabilité accrue par rapport aux versions 1.8 et 1.9 qui sont respectivement dans "
+"Fedora 13 et Fedora 14."
 
 #. Tag: title
 #, no-c-format
 msgid "IcedTea-Web"
-msgstr ""
+msgstr "IcedTea-Web"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>Java Plugin</primary>"
-msgstr ""
+msgstr "<primary>Java Plugin</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>OpenJDK</primary>"
-msgstr ""
+msgstr "<primary>OpenJDK</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>NetX</primary>"
-msgstr ""
+msgstr "<primary>OpenJDK</primary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "In addition to the IcedTea6 update, another major change on the Java front "
 "is the introduction of IcedTea-Web in Fedora. In previous releases, the Java"
 " plugin and Web Start implementations were packaged with the "
 "<package>java-1.6.0-openjdk</package> RPM. Starting with 1.10, the plugin "
 "and Web Start implementations are now developed independently as part of a "
 "separate project known as IcedTea-Web."
 msgstr ""
+"En plus de la mise à jour de IcedTea6, une autre importante amélioration concernant Java "
+"est l'introduction d'IcedTea-Web dans Fedora. Dans les versions précédentes, le plugin "
+"Java et l'implémentation de Web Start était emballés dans le RPM <package>java-1.6.0-openjdk</package>. "
+"À partir de la version 1.10, le plugin et l'implémentation de Web Start sont dorénavant développé "
+"indépendamment dans le cadre d'un projet appelé IcedTea-Web."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "In addition to numerous bug fixes, some the major feature improvements in "
 "IcedTea-Web include:"
 msgstr ""
+"En plus de nombreuses corrections d'anomalies, les améliorations majeures de "
+"IcedTea-Web comprennent : "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "NetX and plugin configuration can now be specified via a "
 "<filename>deployment.properties</filename> file"
 msgstr ""
+"la configuration de NetX et du plugin peuvent maintenant être spécifiés "
+"dans le fichier <filename>deployment.properties</filename>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "System-level as well as user-level "
 "<filename>deployment.properties</filename> files with locked configuration "
 "are supported"
 msgstr ""
+"au niveau du système ainsi qu'au niveau de l'utilisateur "
+"le fichier <filename>deployment.properties</filename> avec une configuration verrouillées "
+"est pris en charge"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Applications and applets can now have a Look and Feel different from rest of"
 " IcedTea-Web"
 msgstr ""
+"les applications et les applets peuvent maintenant avoir un habillage différent du reste de " 
+"IcedTea-Web"
 
 #. Tag: para
 #, no-c-format
 msgid "Native directories are correctly cleaned on exit"
-msgstr ""
+msgstr "les répertoires sont correctement nettoyés à la fermeture"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Cached files with special characters in file names are now handled correctly"
-msgstr ""
+msgstr "les fichiers cachés avec des caractères spéciaux dans les noms de fichier "
+"sont maintenant gérés correctement"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Interfaces <function>javax.jnlp.IntegrationService</function> and "
 "<function>javax.jnlp.DownloadService2</function> are now available"
 msgstr ""
+"les interfaces des fonctions <function>javax.jnlp.IntegrationService</function> et "
+"<function>javax.jnlp.DownloadService2</function> sont maintenant disponibles"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<application>javaws</application> now supports a new "
 "<command>-Xclearcache</command> option"
 msgstr ""
+"<application>javaws</application> prend désormais en charge "
+"l'option <command>-Xclearcache</command>"
 
 #. Tag: para
 #, no-c-format
 msgid "Applications with non-public main classes are now supported."
-msgstr ""
+msgstr "les applications avec des classes principales non-publique sont maintenant supportés"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "JNLP files containing &lt;component-desc&gt; as well as &lt;application-"
 "desc&gt; will now work"
 msgstr ""
+"les fichiers JNLP contenants &lt;component-desc&gt; ainsi que &lt;application-"
+"desc&gt; devraient maintenant fonctionner"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "JNLP files referenced in the applet tag are now parsed to detect applet "
 "properties"
 msgstr ""
+"les fichiers JNPL référencés dans la balise d'applet sont maintenant analysées afin de détecter "
+"les propriétés de l'applet"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Applets are now double-buffered to eliminate flicker in ones that do heavy "
 "drawing"
 msgstr ""
+"Les applets sont maintenant à double tampon pour supprimer le scintillement "
+"de ceux qui ont un tracé compliqué "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Not only does IcedTea-Web bring the above improvements to Fedora, it will "
 "also make bug fix turn-around time much shorter going forward, as it would "
 "no longer require a JDK RPM re-spin."
 msgstr ""
+"IcedTea-Web apporte non seulement les améliorations décrites ci-dessus, mais de plus "
+"il amènera des corrections d'anomalies plus rapide, car il n'y aura plus besoin "
+"d'un RPM JDK re-spin."
 
 #. Tag: title
 #, no-c-format
 msgid "Maven"
 msgstr "Maven"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>Maven</primary>"
 msgstr "<primary>Maven</primary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Maven is Java project management, project comprehension and build system "
 "tool."
 msgstr ""
+"Maven est un gestionnaire de projet Java, pour la compréhension du projet "
+"et un outil de construction du système."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Fedora 15 comes with <package>Maven</package> version 3.0. It offers better "
 "stability and performance compared to previous versions, but the biggest "
 "changes shouldn't be noticed by users. Most work has been happening under "
 "the hood to simplify writing Maven plugins and further improve performance "
 "by building projects in parallel. It includes a new Maven API for component "
 "configuration, many improvements and bug fixes. Users of Maven are "
 "encouraged to read the Maven 3 <ulink url=\"http://maven.apache.org/docs/3.0"
 "/release-notes.html\"> Upstream Release Notes</ulink>"
 msgstr ""
+"Fedora 15 est livré avec la version 3.0 de <package>Maven</package>. Elle offre "
+"une plus grande stabilité et de meilleures performances, mais les plus grandes améliorations "
+"ne devraient pas être remarqué par les utilisateurs. La plupart travaillent en arrière-plan pour "
+"simplifier l'écriture des plugins Maven et améliorer encore les performances par des "
+"projets de construction en parallèle. Il inclut une nouvelle API pour la configuration des API Maven, "
+"de nombreuses améliorations et corrections d'anomalies. Les utilisateurs de Maven sont "
+"encouragés à lire les <ulink url=\"http://maven.apache.org/docs/3.0"
+"/release-notes.html\"> Note de versions</ulink> de Maven 3."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Fedora 15 still provides maven2 package to support backward compatibility "
 "where needed."
 msgstr ""
+"Fedora 15 dispose encore du paquet maven2 pour assurer la compatibilité "
+"en cas de besoin."