--- docs-release-notes.f13.I18n_org.po	2010-04-14 21:03:21.528856538 +0200
+++ docs-release-notes.f13.I18n.po	2010-04-14 20:54:32.713677528 +0200
@@ -1,33 +1,37 @@
-# SOME DESCRIPTIVE TITLE.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
 #
+# , 2010.
 msgid ""
 msgstr ""
 "Project-Id-Version: release-notes\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2010-03-19T02:19:38\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <kde-i18n-doc@kde.org>\n"
+"PO-Revision-Date: 2010-04-14 20:54+0200\n"
+"Last-Translator: \n"
+"Language-Team: American English <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
-"Content-Type: application/x-xml2pot; charset=UTF-8\n"
+"Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #. Tag: title
 #, no-c-format
 msgid "Internationalization"
-msgstr ""
+msgstr "internationalisation"
 
 #. Tag: para
 #, no-c-format
 msgid "This section includes information on language support in Fedora."
 msgstr ""
+"Cette section comprends des informations sur les langues supportées sous "
+"Fedora."
 
 #. Tag: title
 #, no-c-format
 msgid "IBus"
-msgstr ""
+msgstr "IBus"
 
+# keep framework ?
 #. Tag: para
 #, no-c-format
 msgid ""
@@ -36,6 +40,10 @@
 "and user-friendly user interface for input methods. Updates to "
 "<application>IBus</application> in Fedora&nbsp;&PRODVER; include:"
 msgstr ""
+"<application>IBus</application> (<firstterm>Intelligent Input Bus</firstterm>"
+") est un gestionnaire de méthode d'entrée pour Linux qui propose une "
+"interface conviviale pour la saisie de données complexes. La mise à jour de "
+"<application>IBus</application> dans Fedora&nbsp;&PRODVER; inclue :"
 
 #. Tag: para
 #, no-c-format
@@ -43,6 +51,9 @@
 "<application>IBus</application> now supports a global shared input method "
 "mode for all applications: the default is still to use separate contexts."
 msgstr ""
+"<application>IBus</application> supporte dorénavant un mode de saisie "
+"partagée pour toutes les applications : utiliser un contexte séparé reste "
+"par défaut."
 
 #. Tag: para
 #, no-c-format
@@ -50,6 +61,8 @@
 "<application>IBus</application> supports to show languagebar in status icon "
 "menu."
 msgstr ""
+"<application>IBus</application> supporte l'affichage de la barre de langue "
+"dans le menu d'icône."
 
 #. Tag: para
 #, no-c-format
@@ -57,6 +70,8 @@
 "<package>ibus-pinyin</package> engine has been reimplemented in C++ with "
 "improved performance of fuzzy pinyin."
 msgstr ""
+"Le moteur <package>ibus-pinyin</package> a été ré-implémenté en C++ avec des "
+"performances plus élevées pour le fuzzy pinyin."
 
 #. Tag: para
 #, no-c-format
@@ -64,13 +79,19 @@
 "New <package>ibus-fbterm</package> package provides IBus support in the "
 "fbterm framebuffer console."
 msgstr ""
+"Le nouveau paquet <package>ibus-fbterm</package> fournit le  support IBus "
+"dans la mémoire tampon de la console fbterm."
 
+# *Le moteur* <package>.</> ... ?
+# Western users ?
 #. Tag: para
 #, no-c-format
 msgid ""
 "<package>ibus-hangul</package> engine now supports Romaja style input for "
 "Western users."
 msgstr ""
+"Le moteur <package>ibus-hangul</package> supporte dorénavant le style Romain "
+"pour les utilisateurs occidentaux."
 
 #. Tag: para
 #, no-c-format
@@ -79,6 +100,9 @@
 "cangjie</package>, and new tables added for Smart Cangjie 6, Quick "
 "(classic), and Easy (Big)."
 msgstr ""
+"<package>ibus-table-quick</package> a été intégré à <package>ibus-table-"
+"cangjie</package>, et un nouveau tableau a été ajouté pour Smart Cangjie 6, "
+"Quick (classique), et Easy (Grand)."
 
 #. Tag: para
 #, no-c-format
@@ -86,13 +110,18 @@
 "<package>ibus-anthy</package> supports the preferences of symbol style and "
 "conversion mode."
 msgstr ""
+"<package>ibus-anthy</package> supporte les préférences du style de symbole "
+"et le de mode de conversion."
 
+# Apparement on parle vraiment du pouce ...
 #. Tag: para
 #, no-c-format
 msgid ""
 "<package>ibus-anthy</package> supports Thumb Shift NICOLA-J, NICOLA-F and "
 "NICOLA-A layouts."
 msgstr ""
+"<package>ibus-anthy</package> supporte les gestes NICOLA-J, NICOLA-F et "
+"NICOLA-A du pouce droit."
 
 #. Tag: para
 #, no-c-format
@@ -100,17 +129,21 @@
 "<package>ibus-anthy</package> supports the dictionary customization of the "
 "default personal dictionary and extended personal dictionaries."
 msgstr ""
+"<package>ibus-anthy</package> supporte la personnalisation du dictionnaire "
+"personnel par défaut et des dictionnaires supplémentaires."
 
 #. Tag: title
 #, no-c-format
 msgid "New Chinese font"
-msgstr ""
+msgstr "Nouvelles polices chinoises"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The default font for Simplified Chinese is now <literal>WQY Zenhei</literal>."
 msgstr ""
+"La police par défaut pour le chinois simplifié est maintenant <literal>WQY "
+"Zenhei</literal>."
 
 #. Tag: title
 #, no-c-format
@@ -126,12 +159,18 @@
 "handled in <literal>Lohit Devanagari</literal> with Open Type Font "
 "<literal>locl</literal> tags."
 msgstr ""
+"La nouvelle police <literal>Lohit Devanagari</literal> la police Lohit "
+"précédente pour le Hindi, Kashmiri, Konkani, Maithili, Marathi, et Nepali. "
+"N'importe quels futur caractères pour ces langages peuvent être pris en "
+"compte dans la police <literal>Lohit Devanagari</literal> avec le tag Open "
+"Type Font <literal>locl</literal>."
 
 #. Tag: title
 #, no-c-format
 msgid "Automatic installation of language packs"
-msgstr ""
+msgstr "Installation automatique du paquet langues"
 
+# garder des termes anglais ?
 #. Tag: para
 #, no-c-format
 msgid ""
@@ -148,11 +187,24 @@
 "distribution. Refer to <ulink url=\"http://dingyichen.livejournal.com/17133."
 "html\" /> for details."
 msgstr ""
+"De nombreuses suites logicielles, comme <application>OpenOffice.org<"
+"/application>, <application>Eclipse</application>, et <application>KDE<"
+"/application>, sont traduits séparément avec un <firstterm>paquet de "
+"langues</firstterm> à cause de leurs tailles. Maintenant, avec l'<"
+"application>extension paquet de langues</application>, quand <application>"
+"yum</"
+"application> détecte qu'un paquet de langue est nécessaire et disponible "
+"pour un paquet demandé par l'utilisateur, <application>yum</application> "
+"télécharge et installe automatiquement le support de langue pour cette suite "
+"logicielle. Dans le future ce sera possible d'étendre ce support sur toute "
+"la distribution. Se référer à <ulink url=\"http://dingyichen.livejournal."
+"com/17133.html\" /> pour plus de détails."
 
+# traduction de "locale"?
 #. Tag: title
 #, no-c-format
 msgid "Glibc Locales and Collation"
-msgstr ""
+msgstr "Variables de traductions Glibc"
 
 #. Tag: para
 #, no-c-format
@@ -161,6 +213,9 @@
 "<firstterm>GNU C Library</firstterm>) have been added or updated in "
 "Fedora&nbsp;&PRODVER;:"
 msgstr ""
+"Les variables suivantes pour <application>glibc</application> (la <firstterm>"
+"GNU C Library</firstterm>) ont étés ajoutées ou mises à jour dans "
+"Fedora&nbsp;&PRODVER;:"
 
 #. Tag: para
 #, no-c-format
@@ -168,6 +223,8 @@
 "<literal>kok_IN</literal> (Konkani Language locale for India: around 3.6 "
 "million speakers) for Devanagari script added."
 msgstr ""
+"<literal>kok_IN</literal> (variable pour la langue Konkani d'Inde : environs "
+"3,6 millions d'utilisateurs) pour le script Devanagari ajoutée."
 
 #. Tag: para
 #, no-c-format
@@ -175,8 +232,15 @@
 "<literal>ps_AF</literal> (Pashto Language locale for Afghanistan: around "
 "35.5 million speakers) added."
 msgstr ""
+"<literal>ps_AF</literal> (variable pour la langue Pashto d'Afghanistan : "
+"environs 35,5 millions d'utilisateurs) ajoutée."
 
+# collation?
 #. Tag: para
 #, no-c-format
 msgid "collation for Tamil and Assamese is now available in all locales."
 msgstr ""
+"Collection pour le Tamil et l'Assamese est maintenant disponible dans toutes "
+"les variables."
+
+