--- Security.po	2010-10-02 01:48:30.726604737 +0200
+++ Security1.po	2010-10-02 10:34:40.722378812 +0200
@@ -1,18 +1,20 @@
 #
 # Thomas Canniot <mrtom@fedoraproject.org>, 2010.
+# Guillaume Bonnoron <lenormand76@gmail.com>, 2010.
 msgid ""
 msgstr ""
 "Project-Id-Version: release-notes\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2010-09-06T18:30:52\n"
-"PO-Revision-Date: 2010-09-14 21:16+0200\n"
-"Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
+"PO-Revision-Date: 2010-10-02 10:34+0200\n"
+"Last-Translator: Guillaume Bonnoron <lenormand76@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 1.1\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #. Tag: title
 #, no-c-format
@@ -47,12 +49,12 @@
 #. Tag: title
 #, no-c-format
 msgid "Abstract"
-msgstr "Abstrait"
+msgstr "Résumé"
 
 #. Tag: para
 #, no-c-format
 msgid "Fedora 14 brings in support of the SCAP (Security Content Automation Protocol). A library called <package>OpenSCAP</package> that provides development framework and several <acronym>SCAP</acronym> scanning tools are included in the distribution. <acronym>OVAL</acronym> and <acronym>XCCDF</acronym> contents specific for Fedora 14 that can be used for automated system configuration checking are also provided."
-msgstr ""
+msgstr "Fedora 14 apporte le support du protocole SCAP (Security Content Automation Protocol). Une bibliothèque nommée  <package>OpenSCAP</package> proposant un framework de développement et plusieurs outils de scan SCAP sont disponibles avec la distribution. Des contenus <acronym>OVAL</acronym> et <acronym>XCCDF</acronym> spécifiques pour Fedora 14, pouvant être utilisés pour faire de la vérification automatisée de configuration système, sont également disponibles."
 
 #. Tag: title
 #, no-c-format
@@ -63,36 +65,39 @@
 #, no-c-format
 msgid "<package>OpenSCAP</package> is an open-source framework for SCAP developers. SCAP is a line of standards managed by <ulink url=\"http://scap.nist.gov/index.html\"> NIST</ulink> (National Institute of Standards and Technology). It was created to provide a standardized approach to maintaining the security of systems, such as automatically verifying the presence of patches, checking system security configuration settings, and examining systems for signs of compromise."
 msgstr ""
+"<package>OpenSCAP</package> est une plateforme libre de développement pour les développeurs SCAP. SCAP est une collection de standards gérée par le <ulink url=\"http://scap.nist.gov/index.html\"> NIST</ulink> (National Institute of Standards and Technology). Il a été créé dans le but de fournir une approche standardisée pour maintenir la sécurité des systèmes. Comme par exemple la vérification automatique d'existence de patches, la validation des paramètres de sécurité "
+"système ou l'analyse de signes de compromission dans les systèmes."
 
 #. Tag: para
 #, no-c-format
 msgid "The SCAP suite contains multiple complex data exchange formats that are to be used to transmit important vulnerability, configuration, and other security data. Historically, there have been few tools that provide a way to query this data in the needed format. The OpenSCAP project aims to create a framework of libraries to improve the accessibility of SCAP and enhance the usability of the information it represents."
 msgstr ""
+"La suite SCAP contient plusieurs formats d'échange de données voués à être utilisés pour transmettre d'importantes vulnérabilités, des configurations, ou d'autres données de sécurité. Historiquement, il existait plusieurs outils offrant des possibilités pour récolter ces données dans le format souhaité. Le but du projet OpenSCAP est de créer un ensemble cohérent de bibliothèques améliorant l'accessibilité de SCAP et facilitant l'utilisation des données qu'il représente."
 
 #. Tag: para
 #, no-c-format
 msgid "The tools based on OpenSCAP library which are included in this Fedora feature are:"
-msgstr ""
+msgstr "Les outils basé sur la bibliothèque OpenSCAP inclus avec cette fonctionnalité de Fedora sont : "
 
 #. Tag: para
 #, no-c-format
 msgid "oscap-scan - command line scanner driven by OVAL/XCCDF content"
-msgstr ""
+msgstr "oscap-scan - Scanneur en ligne de commande utilisant les contenus OVAL/XCCDF"
 
 #. Tag: para
 #, no-c-format
 msgid "secstate - tool that attempts to streamline the Certification and Accreditation (C&amp;A) process of Linux systems by providing a mechanism to verify, validate, and provide remediation to security relevant configuration items."
-msgstr ""
+msgstr "secstate - outil dont le but est de rationnaliser le processus de certification et accréditation (C&amp;A) des systèmes Linux, en proposant un mécanisme pour vérifier, valider et apporter des correctifs aux différents points de configuration de la sécurité."
 
 #. Tag: para
 #, no-c-format
 msgid "firstaidkit-plugin-openscap - Plugin for <ulink url=\"http://fedoraproject.org/w/index.php?title=Features/FirstAidKit\"> FirstAidKit</ulink> which allows user to perform basic automated security audit and evaluate the results in text or graphical environment."
-msgstr ""
+msgstr "firstaidkit-plugin-openscap - Extension pour <ulink url=\"http://fedoraproject.org/w/index.php?title=Features/FirstAidKit\"> FirstAidKit</ulink> qui permet à l'utilisateur de procéder automatiquement à des audits basiques de sécurité et de consulter les résultats en mode texte ou dans un environnement graphique."
 
 #. Tag: para
 #, no-c-format
 msgid "With this feature installed, the user can use different ways to perform automatic scan of his system and make sure the system is in compliance with defined security configuration. The user is enabled to automatically remediate the system."
-msgstr ""
+msgstr "Avec cette fonctionnalité installée, l'utilisateur dispose de différents moyens de procéder à des scans automatiques de son système et de s'assurer de la conformité du système avec une configuration de sécurité donnée. L'utilisateur devient capable d'automatiser la correction du système."
 
 #. Tag: title
 #, no-c-format
@@ -107,12 +112,12 @@
 #. Tag: para
 #, no-c-format
 msgid "<ulink url=\"http://www.open-scap.org/page/Documentation\"> Documentations</ulink> on project site"
-msgstr "<ulink url=\"http://www.open-scap.org/page/Documentation\"> La documentation</ulink> sur le site du Projet"
+msgstr "<ulink url=\"http://www.open-scap.org/page/Documentation\"> La documentation</ulink> sur le site du projet"
 
 #. Tag: para
 #, no-c-format
 msgid "<ulink url=\"http://www.open-scap.org/doc/\"> open-scap</ulink> library documentations on project site"
-msgstr "Documentation de la bibliothèque <ulink url=\"http://www.open-scap.org/doc/\">open-scap</ulink> sur le site du Projet"
+msgstr "Documentation de la bibliothèque <ulink url=\"http://www.open-scap.org/doc/\">open-scap</ulink> sur le site du projet"
 
 #. Tag: para
 #, no-c-format