--- anaconda_master_fr.po	2011-04-12 18:32:49.408196631 +0200
+++ anaconda_master_fr-new.po	2011-04-13 07:56:55.712166032 +0200
@@ -1,25 +1,25 @@
-# SOME DESCRIPTIVE TITLE.
 # Copyright (C) YEAR Red Hat, Inc.
 # This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-# 
+#
+# , 2011.
 msgid ""
 msgstr ""
 "Project-Id-Version: Anaconda\n"
 "Report-Msgid-Bugs-To: http://bugzilla.redhat.com/\n"
 "POT-Creation-Date: 2011-04-11 19:52-0500\n"
-"PO-Revision-Date: 2011-04-12 16:03+0000\n"
-"Last-Translator: dominique <chepioq@gmail.com>\n"
+"PO-Revision-Date: 2011-04-12 19:32+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
+"X-Generator: Lokalize 1.2\n"
 
 #: anaconda:301
 msgid "Press <enter> for a shell"
 msgstr "Appuyez sur « Entrée » pour ouvrir un interpréteur de commandes"
 
 #: anaconda:315
 #, c-format
@@ -60,15 +60,15 @@
 "\n"
 " from a root terminal."
 msgstr ""
 " Essayez le mode texte du programme d'installation en lançant :\n"
 "\n"
 "'/usr/bin/liveinst -T'\n"
 "\n"
-" depuis un interpréteur de commande en superutilisateur."
+" depuis un interpréteur de commande en administrateur."
 
 #: anaconda:329
 msgid " Starting text mode."
 msgstr " Démarrage du mode texte."
 
 #: anaconda:353 pyanaconda/rescue.py:346 pyanaconda/rescue.py:378
 #: pyanaconda/rescue.py:391 pyanaconda/rescue.py:459 pyanaconda/rescue.py:476
@@ -128,15 +128,15 @@
 #: pyanaconda/backend.py:134
 #, python-format
 msgid "Installing %s\n"
 msgstr "Installation de %s\n"
 
 #: pyanaconda/bootloader.py:799
 msgid "Master Boot Record"
-msgstr ""
+msgstr "Master Boot Record"
 
 #: pyanaconda/bootloader.py:800
 msgid "First sector of boot partition"
 msgstr "Premier secteur de la partition de démarrage"
 
 #: pyanaconda/bootloader.py:801 pyanaconda/bootloader.py:1123
 #: pyanaconda/bootloader.py:1360 pyanaconda/bootloader.py:1382
@@ -146,19 +146,19 @@
 
 #: pyanaconda/bootloader.py:1122
 msgid "EFI System Partition"
 msgstr "Partition système EFI"
 
 #: pyanaconda/bootloader.py:1359
 msgid "PReP Boot Partition"
-msgstr ""
+msgstr "PerP Boot Partition"
 
 #: pyanaconda/bootloader.py:1381
 msgid "Apple Bootstrap Partition"
-msgstr ""
+msgstr "Partition de démarrage Apple"
 
 #: pyanaconda/bootloader.py:1566 pyanaconda/bootloader.py:1622
 #: pyanaconda/bootloader.py:1675 pyanaconda/gui.py:1126 pyanaconda/image.py:74
 #: pyanaconda/installinterfacebase.py:71
 #: pyanaconda/installinterfacebase.py:148 pyanaconda/packages.py:319
 #: pyanaconda/text.py:431 pyanaconda/yuminstall.py:1502
 #: pyanaconda/yuminstall.py:1626 pyanaconda/yuminstall.py:1661
@@ -211,14 +211,16 @@
 msgstr "Installation du chargeur de démarrage."
 
 #: pyanaconda/bootloader.py:1623
 msgid ""
 "No kernel packages were installed on the system. Bootloader configuration "
 "will not be changed."
 msgstr ""
+"Aucun noyau n'a été installé sur le système. La configuration du chargeur "
+"de démarrage n'a pas été modifié."
 
 #: pyanaconda/bootloader.py:1676
 msgid ""
 "There was an error installing the bootloader.  The system may not be "
 "bootable."
 msgstr ""
 "Une erreur est survenue lors de l'installation du chargeur de démarrage. Le "
@@ -293,15 +295,15 @@
 "\n"
 "You can access these when you reboot and login as root."
 msgstr ""
 "Les captures d'écran ont été enregistrées dans le répertoire :\n"
 "\n"
 "\t/root/anaconda-screenshots/\n"
 "\n"
-"Vous pouvez y accéder en redémarrant votre système et en vous connectant en tant que superutilisateur."
+"Vous pouvez y accéder en redémarrant votre système et en vous connectant en tant qu'administrateur."
 
 #: pyanaconda/gui.py:173
 msgid "Saving Screenshot"
 msgstr "Enregistrement des captures d'écran"
 
 #: pyanaconda/gui.py:174
 #, python-format
@@ -1237,50 +1239,54 @@
 #, python-format
 msgid "iSCSI %s Error"
 msgstr "Erreur iSCSI %s"
 
 #: pyanaconda/platform.py:98
 #, python-format
 msgid "%s must have a %s disk label."
-msgstr ""
+msgstr "%s doit avoir une étiquette de disque %s."
 
 #: pyanaconda/platform.py:111
 msgid "You have not created a bootable partition."
 msgstr "Vous n'avez pas créé de partition amorçable."
 
 #: pyanaconda/platform.py:118
 #, python-format
 msgid "The /boot filesystem cannot be on devices of type %s"
-msgstr ""
+msgstr "Le système de fichiers /boot ne peut pas être sur une partition de type %s"
 
 #: pyanaconda/platform.py:124
 #, python-format
 msgid ""
 "RAID sets containing the /boot filesystem must have one of the following "
 "raid levels: %s."
 msgstr ""
+"Les ensembles RAID contenant le système de fichiers /boot doivent avoir "
+"un des niveaux RAID suivants : %s."
 
 #: pyanaconda/platform.py:130
 msgid ""
 "RAID sets containing the /boot filesystem may only have partitions as member"
 " devices."
 msgstr ""
+"Les ensembles RAID contenant le système de fichiers /boot ne peuvent avoir que des partitions"
+" en tant que membre."
 
 #: pyanaconda/platform.py:139
 #, python-format
 msgid "The /boot filesystem cannot be of type %s."
-msgstr ""
+msgstr "Le système de fichiers /boot ne peut pas être de type %s."
 
 #: pyanaconda/platform.py:143 pyanaconda/platform.py:148
 msgid "The /boot filesystem cannot be on an encrypted block device"
-msgstr ""
+msgstr "Le système de fichiers /boot ne peut pas être sur une partition chiffrée"
 
 #: pyanaconda/platform.py:241
 msgid "The boot partition must be within the first 10MB of the disk."
-msgstr ""
+msgstr "La partition de démarrage doit être sur les premiers 10 Mio du disque."
 
 #: pyanaconda/rescue.py:211 pyanaconda/rescue.py:367 pyanaconda/rescue.py:452
 #, python-format
 msgid "Run %s to unmount the system when you are finished."
 msgstr "Exécutez %s pour démonter le système une fois que vous avez terminé."
 
 #: pyanaconda/rescue.py:214
@@ -1330,15 +1336,15 @@
 #, python-format
 msgid ""
 "The rescue environment will now attempt to find your Linux installation and mount it under the directory %s.  You can then make any changes required to your system.  If you want to proceed with this step choose 'Continue'.  You can also choose to mount your file systems read-only instead of read-write by choosing 'Read-Only'.  If you need to activate SAN devices choose 'Advanced'.\n"
 "\n"
 "If for some reason this process fails you can choose 'Skip' and this step will be skipped and you will go directly to a command shell.\n"
 "\n"
 msgstr ""
-"L'environnment de restauration va tenter de détecter votre installation de Linux et de la monter sous %s. Vous pourrez effectuer toutes les modifications requises sur votre système. Si vous souhaitez poursuivre, cliquez sur « Continuer ». Vous pouvez également choisir de monter vos systèmes de fichiers en lecture seule au lieu de lecture et écriture en choisissant « Lecture seule ». Si vous avez besoin d'activer des périphériques SAN, choisissez « Avancé ».\n"
+"L'environnement de restauration va tenter de détecter votre installation de Linux et de la monter sous %s. Vous pourrez effectuer toutes les modifications requises sur votre système. Si vous souhaitez poursuivre, cliquez sur « Continuer ». Vous pouvez également choisir de monter vos systèmes de fichiers en lecture seule au lieu de lecture et écriture en choisissant « Lecture seule ». Si vous avez besoin d'activer des périphériques SAN, choisissez « Avancé ».\n"
 "\n"
 "Si pour une raison quelconque le processus ne fonctionne pas, vous pouvez choisir « Ignorer » pour passer cette étape. Un interpréteur de commandes vous sera proposé.\n"
 "\n"
 
 #: pyanaconda/rescue.py:304 pyanaconda/iw/partition_gui.py:758
 #: loader/driverdisk.c:599 pyanaconda/storage/__init__.py:169
 #: pyanaconda/storage/devicetree.py:92
@@ -1399,15 +1405,15 @@
 "\n"
 "\tchroot %(rootPath)s\n"
 "\n"
 "%(msg)s"
 msgstr ""
 "Votre système a été monté sous %(rootPath)s.\n"
 "\n"
-"Appuyez sur « Entrée » pour obtenir un interpréteur de commandes. Si vous voulez que votre système soit l'environnement superutilisateur, lancez la commande :\n"
+"Appuyez sur « Entrée » pour obtenir un interpréteur de commandes. Si vous voulez que votre système soit l'environnement administrateur, lancez la commande :\n"
 "\n"
 "\tchroot %(rootPath)s\n"
 "\n"
 "%(msg)s"
 
 #: pyanaconda/rescue.py:456
 #, python-format
@@ -2158,15 +2164,15 @@
 
 #: pyanaconda/iw/GroupSelector.py:495
 msgid "Uncategorized"
 msgstr "Sans catégorie"
 
 #: pyanaconda/iw/account_gui.py:52
 msgid "Root _Password:"
-msgstr "Mot de _passe superutilisateur :"
+msgstr "Mot de _passe administrateur :"
 
 #: pyanaconda/iw/account_gui.py:54
 msgid "_Confirm:"
 msgstr "_Confirmation :"
 
 #: pyanaconda/iw/account_gui.py:92
 msgid "Caps Lock is on."
@@ -2179,27 +2185,27 @@
 msgstr "Erreur avec le mot de passe"
 
 #: pyanaconda/iw/account_gui.py:103
 msgid ""
 "You must enter your root password and confirm it by typing it a second time "
 "to continue."
 msgstr ""
-"Vous devez saisir votre mot de passe superutilisateur et le confirmer en le "
+"Vous devez saisir votre mot de passe administrateur et le confirmer en le "
 "saisissant une nouvelle fois avant de continuer."
 
 #: pyanaconda/iw/account_gui.py:111
 msgid "The passwords you entered were different.  Please try again."
 msgstr ""
 "Les mots de passe que vous avez saisis sont différents. Veuillez "
 "recommencer."
 
 #: pyanaconda/iw/account_gui.py:118
 msgid "The root password must be at least six characters long."
 msgstr ""
-"Le mot de passe superutilisateur doit comporter au moins 6 caractères."
+"Le mot de passe administrateur doit comporter au moins 6 caractères."
 
 #: pyanaconda/iw/account_gui.py:127 pyanaconda/textw/userauth_text.py:83
 msgid "Weak Password"
 msgstr "Mot de passe peu fiable"
 
 #: pyanaconda/iw/account_gui.py:128
 #, python-format
@@ -2374,15 +2380,15 @@
 msgid "Boot Loader Configuration"
 msgstr "Configuration du chargeur de démarrage"
 
 #: pyanaconda/iw/bootloader_main_gui.py:167
 #: pyanaconda/iw/bootloader_main_gui.py:184
 #, python-format
 msgid "_Install boot loader on %s."
-msgstr ""
+msgstr "_Installer le chargeur de démarrage sur %s."
 
 #: pyanaconda/iw/bootloader_main_gui.py:194
 msgid "_Change device"
 msgstr "_Changer de disque"
 
 #: pyanaconda/iw/cleardisks_gui.py:34
 msgid "Clear Disks Selector"
@@ -4188,15 +4194,15 @@
 #: loader/loader.c:1245
 msgid ""
 "This hardware (or a combination thereof) is not supported by Red Hat.  For "
 "more information on supported hardware, please refer to "
 "http://www.redhat.com/hardware."
 msgstr ""
 "Ce matériel (ou un ensemble de matériels) n'est pas pris en charge par Red "
-"Hat. Pour plus d'informations sur le matériel pris en charge, veuuillez "
+"Hat. Pour plus d'informations sur le matériel pris en charge, veuillez "
 "consulter http://www.redhat.com/hardware"
 
 #: loader/loader.c:1381
 msgid "Installation Method"
 msgstr "Méthode d'installation"
 
 #: loader/loader.c:1382
@@ -4662,15 +4668,15 @@
 "\n"
 "<b>WARNING:</b>\n"
 "You are using a GPT bootdisk on a non-EFI system. This may not work, depending on your BIOS's support for booting from GPT disks."
 msgstr ""
 "\n"
 "\n"
 "<b>ATTENTION :</b>\n"
-"Vous utilisez disque avec une table de partition GPT sur un système non-EFI. Ceci peut fonctionner pour booter depuis le disque GPT, en fonction des capacités de votre BIOS."
+"Vous utilisez disque avec une table de partition GPT sur un système non-EFI. Ceci peut fonctionner pour démarrer depuis le disque GPT, en fonction des capacités de votre BIOS."
 
 #: pyanaconda/storage/__init__.py:213
 msgid "Missing /boot Volume"
 msgstr "Partition /boot manquante"
 
 #: pyanaconda/storage/__init__.py:214
 msgid ""
@@ -4853,15 +4859,15 @@
 #, python-format
 msgid ""
 "You have not specified a swap partition.  %(requiredMem)s MB of memory is "
 "required to continue installation without a swap partition, but you only "
 "have %(installedMem)s MB."
 msgstr ""
 "Vous n'avez pas défini de partition swap. %(requiredMem)s Mio de mémoire "
-"vive est nécéssaire pour continuer l'installation sans partition swap, mais "
+"vive est nécessaire pour continuer l'installation sans partition swap, mais "
 "vous n'avez que %(installedMem)s Mio."
 
 #: pyanaconda/storage/__init__.py:1189
 msgid ""
 "You have not specified a swap partition.  Although not strictly required in "
 "all cases, it will significantly improve performance for most installations."
 msgstr ""
@@ -5209,15 +5215,15 @@
 
 #: pyanaconda/storage/formats/fs.py:1063
 msgid ""
 "Recoverable errors have been detected or dosfsck has discovered an internal "
 "inconsistency."
 msgstr ""
 "Des erreurs récupérables ont été détectées ou dosfsck a découvert une "
-"inconsistence interne."
+"inconsistance interne."
 
 #: pyanaconda/storage/formats/fs.py:1065
 msgid "Usage error."
 msgstr "Erreur d'utilisation."
 
 #: pyanaconda/storage/formats/luks.py:48
 msgid "Encrypted"
@@ -5268,23 +5274,23 @@
 msgstr "Connexion au nœud iSCSI %s"
 
 #: pyanaconda/storage/partitioning.py:200
 msgid ""
 "Could not find enough free space for automatic partitioning.  Press 'OK' to "
 "exit the installer."
 msgstr ""
-"Espace disque insuffisant pour le partionnement automatique. Cliquez sur « "
+"Espace disque insuffisant pour le partitionnement automatique. Cliquez sur « "
 "OK » pour quitter le programme d'installation."
 
 #: pyanaconda/storage/partitioning.py:203
 msgid ""
 "Could not find enough free space for automatic partitioning, please use "
 "another partitioning method."
 msgstr ""
-"Espace disque insuffisant pour le partionnement automatique. Veuillez "
+"Espace disque insuffisant pour le partitionnement automatique. Veuillez "
 "utiliser une autre méthode d'installation."
 
 #: pyanaconda/storage/partitioning.py:231
 msgid "Warnings During Automatic Partitioning"
 msgstr "Avertissements durant le partitionnement automatique"
 
 #: pyanaconda/storage/partitioning.py:233
@@ -5726,29 +5732,29 @@
 msgstr ""
 "Une ou plusieurs installations Linux ont été détectées sur votre système.\n"
 "\n"
 "Veuillez choisir celle à mettre à niveau ou choisissez « Réinstaller le système » pour une nouvelle installation de votre système."
 
 #: pyanaconda/textw/userauth_text.py:30
 msgid "Root Password"
-msgstr "Mot de passe superutilisateur"
+msgstr "Mot de passe administrateur"
 
 #: pyanaconda/textw/userauth_text.py:33
 msgid ""
 "Pick a root password. You must type it twice to ensure you know it and do "
 "not make a typing mistake. "
 msgstr ""
-"Choisissez un mot de passe superutilisateur. Vous devez le saisir deux fois "
+"Choisissez un mot de passe administrateur. Vous devez le saisir deux fois "
 "pour vous assurer que vous le connaissez et que vous n'avez pas fait "
 "d'erreur en le saisissant."
 
 #: pyanaconda/textw/userauth_text.py:67
 msgid "The root password must be at least 6 characters long."
 msgstr ""
-"Le mot de passe superutilisateur doit comporter au moins 6 caractères."
+"Le mot de passe administrateur doit comporter au moins 6 caractères."
 
 #: pyanaconda/textw/userauth_text.py:84
 #, python-format
 msgid ""
 "You have provided a weak password: %s\n"
 "\n"
 "Would you like to continue with this password?"
@@ -5759,14 +5765,17 @@
 
 #: pyanaconda/textw/zipl_text.py:35
 msgid ""
 "The z/IPL Boot Loader will be installed on your system after installation is"
 " complete. You can now enter any additional kernel parameters required by "
 "your machine or setup."
 msgstr ""
+"Le chargeur de démarrage z/IPL sera installé sur votre système après que l'installation"
+" soit terminée. Vous pouvez maintenant entrer les paramètres du noyau requis par "
+"votre machine ou votre configuration."
 
 #: pyanaconda/textw/zipl_text.py:50
 msgid "z/IPL Configuration"
 msgstr "Configuration de z/IPL"
 
 #: data/liveinst/liveinst.desktop.in.h:1
 msgid "Install"
@@ -5820,23 +5829,23 @@
 
 #: data/ui/account.glade.h:1
 msgid "Confirm:"
 msgstr "Confirmer :"
 
 #: data/ui/account.glade.h:2
 msgid "Root Password:"
-msgstr "Mot de passe superutilisateur :"
+msgstr "Mot de passe administrateur :"
 
 #: data/ui/account.glade.h:3
 msgid ""
 "The root account is used for administering the system.  Enter a password for"
 " the root user."
 msgstr ""
-"Le compte superutilisateur est utilisé pour administrer le système. "
-"Saisissez un mot de passe pour le superutilisateur."
+"Le compte administrateur est utilisé pour administrer le système. "
+"Saisissez un mot de passe pour l'administrateur."
 
 #: data/ui/adddrive.glade.h:1
 msgid "Add _FCoE SAN"
 msgstr "Ajouter un SAN _FCoE"
 
 #: data/ui/adddrive.glade.h:2
 msgid "Add _ZFCP LUN"
@@ -5909,15 +5918,15 @@
 
 #: data/ui/addrepo.glade.h:15
 msgid "Select A Directory"
 msgstr "Sélectionner un répertoire"
 
 #: data/ui/addrepo.glade.h:16
 msgid "URL is a _mirror list"
-msgstr "L'URL est une _liste mirroir"
+msgstr "L'URL est une _liste miroir"
 
 #: data/ui/addrepo.glade.h:17
 msgid "_Directory"
 msgstr "_Répertoire"
 
 #: data/ui/addrepo.glade.h:18
 msgid "_Partition"