--- for_translation_fedora-web_fedoracommunity-org_fr.po	2012-03-29 17:40:49.914718769 +0200
+++ for_translation_fedora-web_fedoracommunity-org_fr1.po	2012-03-29 18:08:01.507321054 +0200
@@ -8,55 +8,55 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Fedora Websites\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
 "POT-Creation-Date: 2012-03-29 15:11+0200\n"
-"PO-Revision-Date: 2012-03-29 10:46+0000\n"
-"Last-Translator: Kévin Raymond <shaiton@fedoraproject.org>\n"
+"PO-Revision-Date: 2012-03-29 18:05+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: Babel 0.9.6\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
 
 #: data/content/apac.html:1
 msgid "Fedora Bangladesh Community"
-msgstr ""
+msgstr "Communauté Fedora du Bangladesh"
 
 #: data/content/apac.html:1
 msgid "Fedora China Community"
-msgstr ""
+msgstr "Communauté Fedora de Chine"
 
 #: data/content/apac.html:1
 msgid "Fedora Indonesia Community"
-msgstr ""
+msgstr "Communauté Fedora d'Indonésie"
 
 #: data/content/apac.html:1
 msgid "Fedora Japan Community"
-msgstr ""
+msgstr "Communauté Fedora du Japon"
 
 #: data/content/apac.html:1
 msgid "Fedora Phillipines Community"
-msgstr ""
+msgstr "Communauté Fedora des Philippines"
 
 #: data/content/apac.html:1
 msgid "Fedora Taiwan Community"
-msgstr ""
+msgstr "Communauté Fedora de Taïwan"
 
 #: data/content/apac.html:1
 msgid "Fedora Sri Lanka Community"
-msgstr ""
+msgstr "Communauté Fedora du Sri Lanka"
 
 #: data/content/apac.html:1
 msgid "Fedora Vietnam Community"
-msgstr ""
+msgstr "Communauté Fedora du Vietnam"
 
 #: data/content/apac.html:1
 msgid "Fedora Malaysia Community"
-msgstr ""
+msgstr "Communauté Fedora de Malaisie"
 
 #: data/content/apac.html:26
 msgid "Fedora Community | Asia Pacific (APAC)"
 msgstr "Communauté Fedora | Asie (APAC)"
 
@@ -89,67 +89,67 @@
 msgid "Community Sites in this Region"
 msgstr "Sites communautaires dans cette région"
 
 #: data/content/emea.html:1
 msgid "Fedora Belgium Community"
-msgstr ""
+msgstr "Communauté Fedora de Belgique"
 
 #: data/content/emea.html:1
 msgid "Fedora Czech Republic Community"
-msgstr ""
+msgstr "Communauté Fedora de la République Tchèque"
 
 #: data/content/emea.html:1
 msgid "Fedora French Community"
-msgstr ""
+msgstr "Communauté Fedora de France"
 
 #: data/content/emea.html:1
 msgid "Fedora unofficial German Fedora Portal"
-msgstr ""
+msgstr "Portail non officiel de Fedora Allemagne"
 
 #: data/content/emea.html:1
 msgid "Fedora Greek Community Portal"
-msgstr ""
+msgstr "Portail de la communauté Fedora de Grèce"
 
 #: data/content/emea.html:1
 msgid "Fedora Hungarian Community"
-msgstr ""
+msgstr "Communauté Fedora de Hongrie"
 
 #: data/content/emea.html:1
 msgid "Fedora Italian Community"
-msgstr ""
+msgstr "Communauté Fedora d'Italie"
 
 #: data/content/emea.html:1
 msgid "Fedora Moldavia Community"
-msgstr ""
+msgstr "Communauté Fedora de Moldavie"
 
 #: data/content/emea.html:1
 msgid "Fedora Netherlands Community"
-msgstr ""
+msgstr "Communauté Fedora des Pays Bas "
 
 #: data/content/emea.html:1
 msgid "Fedora Poland Community"
-msgstr ""
+msgstr "Communauté Fedora de Pologne"
 
 #: data/content/emea.html:1
 msgid "Fedora Romania Community"
-msgstr ""
+msgstr "Communauté Fedora de Roumanie"
 
 #: data/content/emea.html:1
 msgid "Fedora Russian Community"
-msgstr ""
+msgstr "Communauté Fedora de Russie"
 
 #: data/content/emea.html:1
 msgid "Fedora Spanish Community"
-msgstr ""
+msgstr "Communauté Fedora d'Espagne"
 
 #: data/content/emea.html:1
 msgid "Fedora Tunisia Community"
-msgstr ""
+msgstr "Communauté Fedora de Tunisie"
 
 #: data/content/emea.html:1
 msgid "Fedora UK Community"
-msgstr ""
+msgstr "Communauté Fedora du Royaume Uni"
 
 #: data/content/emea.html:32
 msgid "Fedora Community | Europe (EMEA)"
 msgstr "Communauté Fedora | Europe (EMEA)"
 
@@ -204,59 +204,59 @@
 msgid "North America"
 msgstr "Amérique du Nord"
 
 #: data/content/latam.html:1
 msgid "Fedora Argentina Community"
-msgstr ""
+msgstr "Communauté Fedora d'Argentine"
 
 #: data/content/latam.html:1
 msgid "Fedora Brazil Portal"
-msgstr ""
+msgstr "Portail de Fedora du Brésil"
 
 #: data/content/latam.html:1
 msgid "Fedora Chile Community"
-msgstr ""
+msgstr "Communauté Fedora du Chili"
 
 #: data/content/latam.html:1
 msgid "Fedora Colombia Community"
-msgstr ""
+msgstr "Communauté Fedora de Colombie"
 
 #: data/content/latam.html:1
 msgid "Fedora El Salvador Community"
-msgstr ""
+msgstr "Communauté Fedora du Salvador"
 
 #: data/content/latam.html:1
 msgid "Fedora Guatemala Community"
-msgstr ""
+msgstr "Communauté Fedora du Guatemala"
 
 #: data/content/latam.html:1
 msgid "Fedora Latin America Community"
-msgstr ""
+msgstr "Communauté Fedora d'Amérique Latine"
 
 #: data/content/latam.html:1
 msgid "Fedora Mexico Community"
-msgstr ""
+msgstr "Communauté Fedora du Mexique"
 
 #: data/content/latam.html:1
 msgid "Fedora Nicaragua Community"
-msgstr ""
+msgstr "Communauté Fedora du Nicaragua"
 
 #: data/content/latam.html:1
 msgid "Fedora Panama Community"
-msgstr ""
+msgstr "Communauté Fedora du Panama"
 
 #: data/content/latam.html:1
 msgid "Fedora Peru Community"
-msgstr ""
+msgstr "Communauté Fedora du Pérou"
 
 #: data/content/latam.html:1
 msgid "Fedora Uruguay Community"
-msgstr ""
+msgstr "Communauté Fedora de l'Uruguay"
 
 #: data/content/latam.html:1
 msgid "Fedora Venezuela Community"
-msgstr ""
+msgstr "Communauté Fedora du Venezuela"
 
 #: data/content/latam.html:29
 msgid "Fedora Community | Latin America (LATAM)"
 msgstr "Communauté Fedora | Amérique latine (LATAM)"
 
@@ -276,10 +276,12 @@
 #, python-format
 msgid ""
 "Want to add your local community's Fedora website to this directory? <a "
 "href=\"%s\">Email the Fedora Websites team </a>"
 msgstr ""
+"Vous voulez ajouter le site de votre communauté Fedora à cette liste ? <a "
+"href=\"%s\">Envoyez un mail à l'équipe des web-sites de Fedora </a>"
 
 #: data/templates/footer.html:10
 msgid "About Fedora"
 msgstr "A propos de Fedora"
 