--- fedora-readme-live-images_Fedora_Live_Images_fr_diff2.po	2011-10-15 18:10:33.000000000 +0200
+++ fedora-readme-live-images_Fedora_Live_Images_fr2.po	2011-10-15 18:12:16.610056248 +0200
@@ -1,19 +1,20 @@
-# AUTHOR <EMAIL@ADDRESS>, YEAR.
-#
 # Translators:
 # neb <nick@bebout.net>, 2011.
 msgid ""
 msgstr ""
 "Project-Id-Version: Fedora Live Images\n"
 "POT-Creation-Date: 2011-09-06T18:11:33\n"
-"PO-Revision-Date: 2011-10-11 12:12+0000\n"
-"Last-Translator: tux007 <tpweb1780@yahoo.fr>\n"
+"PO-Revision-Date: 2011-10-15 18:00+0100\n"
+"Last-Translator: Pierre <trans-fr@lists.fedoraproject.org>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
+"X-Poedit-Language: French\n"
+"X-Poedit-Country: FRANCE\n"
+"X-Poedit-SourceCharset: utf-8\n"
 
 #. Tag: title
 #, no-c-format
@@ -28,47 +29,47 @@
 #. Tag: title
 #, no-c-format
 msgid "Obtaining A Fedora Live Image"
-msgstr ""
+msgstr "Obtenir une image live de Fedora"
 
 #. Tag: para
 #, no-c-format
 msgid "Fedora Live images can be run from a CD, DVD, or USB flash drive. To obtain a Fedora Live image:"
-msgstr ""
+msgstr "Les images live peuvent être lancées depuis un CD, DVD ou une clé USB. Pour obtenir une image live de Fedora:"
 
 #. Tag: para
 #, no-c-format
 msgid "Download a Fedora Live ISO image from <ulink type=\"http\" url=\"http://get.fedoraproject.org/\">http://get.fedoraproject.org/</ulink>."
-msgstr ""
+msgstr "Télécharger une image live ISO Fedora depuis <ulink type=\"http\" url=\"http://get.fedoraproject.org/\">http://get.fedoraproject.org/</ulink>."
 
 #. Tag: para
 #, no-c-format
 msgid "Write the ISO image to a CD, DVD, or USB flash drive."
-msgstr ""
+msgstr "Copier une image ISO sur un CD, DVD ou une clé USB."
 
 #. Tag: para
 #, no-c-format
 msgid "To write the ISO image to a CD or DVD, you can use your preferred software for writing to optical discs. Ensure that you choose the option to write the ISO image to the disc, rather than create a data disc - refer to your software's manual for instructions."
-msgstr ""
+msgstr "Pour graver l'image ISO sur un CD ou un DVD, vous pouvez utiliser votre logiciel préféré de gravure. Vérifiez que vous avez sélectionné l'option pour graver l'image ISO sur le disque et non pas celle pour créer un disque de données - référez-vous aux manuels des logiciels pour les instructions."
 
 #. Tag: para
 #, no-c-format
 msgid "To write the ISO image to a USB flash drive in Linux or Windows, you can use the <application>LiveUSB Creator</application> application, which is available from <ulink type=\"http\" url=\"http://fedorahosted.org/liveusb-creator\">http://fedorahosted.org/liveusb-creator</ulink>. In Mac OSX, the terminal program <application>dd</application> can be used - refer to Chapter 3.2.2 \"Making Fedora USB Media in UNIX, Linux, and Similar Operating Systems\" in the <citetitle>Fedora&nbsp;&PRODVER; Installation Guide</citetitle> for further instructions. This guide is available from <ulink type=\"http\" url=\"http://docs.fedoraproject.org\">http://docs.fedoraproject.org</ulink>."
-msgstr ""
+msgstr "Pour graver une image ISO sur une clé USB depuis Linux ou Windows, vous pouvez utiliser le logiciel <application>LiveUSB Creator</application> qui est disponible à cette adresse <ulink type=\"http\" url=\"http://fedorahosted.org/liveusb-creator\">http://fedorahosted.org/liveusb-creator</ulink>. Avec Mac OSX, vous pouvez utiliser depuis le terminal le programme <application>dd</application> - référez-vous au Chapitre 3.2.2 « Créer une clé USB Fedora depuis UNIX, Linux et des systèmes d'exploitations similaires » dans <citetitle>Fedora&nbsp;&PRODVER; Installation Guide</citetitle> pour plus d'instructions. Ce guide est disponible ici <ulink type=\"http\" url=\"http://docs.fedoraproject.org\">http://docs.fedoraproject.org</ulink>."
 
 #. Tag: title
 #, no-c-format
 msgid "Making A Live Image In Mac OSX"
-msgstr ""
+msgstr "Créer une image live depuis Mac OSX"
 
 #. Tag: para
 #, no-c-format
 msgid "Recent versions of Mac OSX use the UEFI firmware interface, which require a 64-bit ISO image. The default ISO image on <ulink type=\"http\" url=\"http://get.fedoraproject.org/\">http://get.fedoraproject.org/</ulink> is 32-bit. The 64-bit ISO image can be found by clicking on <guibutton>More download options...</guibutton>, which is just below the blue <guibutton>Download Now!</guibutton>."
-msgstr ""
+msgstr "Les versions récentes de Mac OSX utilisent un firmware UEFI qui requiert une image ISO en 64-bit. L'image ISO par défaut sur <ulink type=\"http\" url=\"http://get.fedoraproject.org/\">http://get.fedoraproject.org/</ulink> est une 32-bit. La 64-bit est disponible en cliquant sur <guibutton>More download options...</guibutton>qui se situe en dessous de <guibutton>Download Now!</guibutton>."
 
 #. Tag: para
 #, no-c-format
 msgid "Once you have obtained the Fedora Live image ISO and written it to a CD, DVD, or USB flash drive, you are ready to start using your Fedora Live image!"
-msgstr ""
+msgstr "Une fois que vous avez obtenu une image live ISO de Fedora et que vous l'avez gravé sur un CD, DVD ou une clé USB, vous êtes prêt pour utiliser votre image live Fedora!  "
 
 #. Tag: title
 #, no-c-format
@@ -78,7 +79,7 @@
 #. Tag: para
 #, no-c-format
 msgid "Before you use your live image, read the next section to learn how to maximize your enjoyment of Fedora. You may also want to read <xref linkend=\"sect-Fedora_Live_images-Booting\" /> for hints on starting &mdash; or <firstterm>booting</firstterm> &mdash; from this media. Then insert this media in your computer and boot from it."
-msgstr ""
+msgstr "Avant d'utiliser votre image live, lisez la section suivante qui vous apprend comment optimiser votre expérience avec Fedora. Vous voudriez peut-être aussi lire <xref linkend=\"sect-Fedora_Live_images-Booting\" /> pour les consignes de base &mdash; ou <firstterm>booting</firstterm> &mdash; depuis ce média. Puis insérez ce média dans votre ordinateur et démarrez depuis celui-ci."
 
 #. Tag: title
 #, no-c-format
@@ -293,7 +294,7 @@
 #. Tag: para
 #, no-c-format
 msgid "If your computer does not support the graphical effects used in GNOME 3, you will automatically be logged in to a simpler version of the GNOME desktop called 'Fallback Mode'. The standard GNOME desktop has a single black bar across the top of the screen, whereas the Fallback Mode desktop has two black bars, one across the top and one across the bottom. To install Fedora to your hard disk in Fallback Mode, press <keycombo><keycap>Alt</keycap>+<keycap>F2</keycap></keycombo> together. In the box that appears, type 'liveinst' (without the quotation marks) and press <keycap>Enter</keycap>."
-msgstr ""
+msgstr "Si votre ordinateur ne supporte pas les effets graphiques de GNOME 3, vous serez automatiquement dirigé vers une version simplifiée du bureau GNOME appelé '....'. Le bureau standard de GNOME a une seule barre en haut de l'écran alors que le bureau ..... a deux barres noires, une en haut et une en bas. Pour installer Fedora sur le disque dur depuis le ...., appuyez en même temps sur <keycombo><keycap>Alt</keycap>+<keycap>F2</keycap></keycombo>. Dans la boîte de dialogue qui apparaît, inscrivez «liveinst» (sans les guillemets) et appuyez sur <keycap>Entrée</keycap>."
 
 #. Tag: para
 #, no-c-format