--- fedora-web_fedoraproject-org-master_fr.po	2011-05-16 08:00:38.877165529 +0200
+++ fedora-web_fedoraproject-org-master_fr1.po	2011-05-16 08:43:31.434865232 +0200
@@ -4,16 +4,16 @@
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2011.
 # 
 msgid ""
 msgstr ""
 "Project-Id-Version: Fedora Websites\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
 "POT-Creation-Date: 2011-04-03 00:22+0000\n"
-"PO-Revision-Date: 2011-04-03 00:22+0000\n"
-"Last-Translator: neb <nick@bebout.net>\n"
+"PO-Revision-Date: 2011-05-16 08:07+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: Babel 0.9.5\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
@@ -968,15 +968,15 @@
 "personnalisation. Les bureaux affectent l'apparence et le fonctionnement des"
 " fenêtres, des icônes, des menus et des fonctionnalités essentielles de "
 "l'interface. Vous désirez peut-être en découvrir quelques-uns et choisir "
 "celui qui vous convient le mieux !"
 
 #: data/content/get-fedora-options.html:43
 msgid "Fedora 15 Desktop Edition"
-msgstr ""
+msgstr "Fedora 15 version bureautique"
 
 #: data/content/get-fedora-options.html:43
 msgid "Fedora Default"
 msgstr "Choix par défaut"
 
 #: data/content/get-fedora-options.html:47
 #: data/content/get-fedora-options.html:154
@@ -1031,15 +1031,15 @@
 #: data/content/get-fedora-options.html:142
 #: data/content/get-fedora-options.html:185
 msgid "64-bit"
 msgstr "64-bit"
 
 #: data/content/get-fedora-options.html:71
 msgid "Fedora 15 KDE Spin"
-msgstr ""
+msgstr "Fedora 15 version KDE"
 
 #: data/content/get-fedora-options.html:77
 msgid "KDE-based Fedora desktop."
 msgstr "Le bureau Fedora basé sur KDE."
 
 #: data/content/get-fedora-options.html:79
 msgid "Fedora KDE Spin homepage"
@@ -1057,15 +1057,15 @@
 #: data/content/get-fedora-options.html:92
 #: data/content/get-fedora-options.html:144
 msgid "700 MB CD ISO"
 msgstr "CD image ISO 700 Mio"
 
 #: data/content/get-fedora-options.html:97
 msgid "Fedora 15 LXDE Spin"
-msgstr ""
+msgstr "Fedora 15 version LXDE"
 
 #: data/content/get-fedora-options.html:103
 msgid "LXDE-based Fedora desktop."
 msgstr "Le bureau Fedora basé sur LXDE."
 
 #: data/content/get-fedora-options.html:105
 msgid "Fedora LXDE Spin homepage"
@@ -1081,15 +1081,15 @@
 
 #: data/content/get-fedora-options.html:118
 msgid "549 MB CD ISO"
 msgstr "CD image ISO 549 Mio"
 
 #: data/content/get-fedora-options.html:123
 msgid "Fedora 15 Xfce Spin"
-msgstr ""
+msgstr "Fedora 15 version Xfce"
 
 #: data/content/get-fedora-options.html:129
 msgid "Xfce-based Fedora desktop."
 msgstr "Le bureau Fedora basé sur Xfce."
 
 #: data/content/get-fedora-options.html:131
 msgid "Fedora Xfce Spin homepage"
@@ -1101,15 +1101,15 @@
 
 #: data/content/get-fedora-options.html:152
 msgid "Fedora Downloads by Format"
 msgstr "Téléchargements de Fedora par formats"
 
 #: data/content/get-fedora-options.html:157
 msgid "Fedora 15 Live Media / Spins"
-msgstr ""
+msgstr "Fedora 15 versions média Live"
 
 #: data/content/get-fedora-options.html:158
 msgid ""
 "Fedora Live Media images may be used via bootable CD, DVD, or USB drives, "
 "and also may be used to install Fedora to hard disk. They are a great way to"
 " give Fedora a try, low-risk."
 msgstr ""
@@ -1126,15 +1126,15 @@
 
 #: data/content/get-fedora-options.html:161
 msgid "Go to Spins Directory"
 msgstr "Voir toute les versions personnalisées"
 
 #: data/content/get-fedora-options.html:169
 msgid "Fedora 15 DVD"
-msgstr ""
+msgstr "Fedora 15 version DVD"
 
 #: data/content/get-fedora-options.html:170
 msgid ""
 "The DVD edition of Fedora is not Live Media, but it is bootable.  When you "
 "boot from this media, you will be running the installation program.  The DVD"
 " requires less memory (RAM) on your computer and contains more software.  "
 "This media may be useful if the machine on which you install Fedora is not "
@@ -1168,18 +1168,22 @@
 #: data/content/get-fedora-options.html:195
 msgid ""
 "For help determining what architecture your system is, <a "
 "href=\"http://docs.fedoraproject.org/en-US/Fedora/15/html/Installation_Guide"
 "/ch-new-users.html#sn-which-arch\">please view our architecture help "
 "guide</a>."
 msgstr ""
+"Pour vous aider à déterminer quelle est l'architecture de votre système, <a "
+"href=\"http://docs.fedoraproject.org/en-US/Fedora/15/html/Installation_Guide"
+"/ch-new-users.html#sn-which-arch\">veuillez consulter notre guide d'aide pour "
+"les architectures</a>."
 
 #: data/content/get-fedora-options.html:205
 msgid "Fedora 15 Media by Mail"
-msgstr ""
+msgstr "Média Fedora 15 par courrier"
 
 #: data/content/get-fedora-options.html:206
 #, python-format
 msgid ""
 "Slow internet? No internet? You can get a copy of Fedora media sent via "
 "postal mail through local and online vendors, as well as via the <a "
 "href=\"%s\">Fedora Free Media</a> program."
@@ -3765,20 +3769,26 @@
 #: data/content/features/index.html:420
 msgid ""
 "If you're an Evolution user, Fedora's desktop clock has some nice "
 "integration treats for you. The desktop clock integrates with your Evolution"
 " calendar events and task list, displaying your appointments and to-dos "
 "right alongside the clock."
 msgstr ""
+"Si vous utilisez Evolution, l'horloge du bureau de Fedora vous offre quelques "
+"améliorations utiles. L'horloge de bureau s'intègre à votre calendrier des événements "
+"Evolution, affiche vos rendez-vous et la liste des tâches à effectuer "
+"juste à côté de l'horloge."
 
 #: data/content/features/index.html:421
 msgid ""
 "Try it now in Fedora! Simply click on the clock in the top bar of your "
 "desktop!"
 msgstr ""
+"Essayez-le maintenant dans Fedora ! Il suffit de cliquer sur l'horloge "
+"dans la barre du haut de votre bureau !"
 
 #: data/content/features/index.html:426
 msgid "Network Manager"
 msgstr "Gestionnaire du réseau"
 
 #: data/content/features/index.html:427
 msgid ""
@@ -3807,19 +3817,22 @@
 msgstr "Un arrière-plan animé"
 
 #: data/content/features/index.html:435
 msgid ""
 "Fedora has support for background animations and slideshows. In fact, some "
 "of Fedora 15's backgrounds changes color with the time of day! Look for it!"
 msgstr ""
+"Fedora supporte les fonds d'écran animés et les diaporamas. De fait, certains "
+"fonds d'écran de Fedora 15 changent de couleurs au cours de la journée ! Éssayez-les !"
 
 #: data/content/features/index.html:436
 msgid ""
 "Look for wallpapers with a clock emblem in System Settings > Background."
 msgstr ""
+"Essayez les fonds d'écran avec une horloge qui sont dans Paramètres système > Fond d'écran"
 
 #: data/content/features/index.html:440
 msgid "Power Manager"
 msgstr "Gestionnaire d'énergie"
 
 #: data/content/features/index.html:441
 msgid ""