--- 1.6.0	2008-12-30 07:38:47.000000000 -0800
+++ 1.5.0	2008-12-30 07:39:01.000000000 -0800
@@ -1,6 +1,6 @@
 total 4
 lrwxrwxrwx 1 root root 19 2008-12-15 00:14 antlr -> /usr/bin/antlr-java
-lrwxrwxrwx 1 root root 44 2008-12-30 07:37 appletviewer -> /usr/lib/jvm/java-1.5.0-gcj/bin/appletviewer
+lrwxrwxrwx 1 root root 44 2008-12-30 07:38 appletviewer -> /usr/lib/jvm/java-1.5.0-gcj/bin/appletviewer
 lrwxrwxrwx 1 root root 15 2008-12-14 06:28 cdda2wav -> /usr/bin/icedax
 lrwxrwxrwx 1 root root 31 2008-12-14 06:28 cdda2wav-cdda2wavman -> /usr/share/man/man1/icedax.1.gz
 lrwxrwxrwx 1 root root 14 2008-12-14 06:26 cdrecord -> /usr/bin/wodim
@@ -29,23 +29,21 @@
 lrwxrwxrwx 1 root root 34 2008-12-15 00:14 jaf -> /usr/share/java/classpathx-jaf.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 jaf_1_0_2_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 jaf_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
-lrwxrwxrwx 1 root root 35 2008-12-30 07:37 jar -> /usr/lib/jvm/java-1.5.0-gcj/bin/jar
-lrwxrwxrwx 1 root root 41 2008-12-30 07:37 jarsigner -> /usr/lib/jvm/java-1.5.0-gcj/bin/jarsigner
-lrwxrwxrwx 1 root root 46 2008-12-30 07:37 java -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java
-lrwxrwxrwx 1 root root 48 2008-12-30 07:37 java.1.gz -> /usr/share/man/man1/java-java-1.6.0-openjdk.1.gz
-lrwxrwxrwx 1 root root 37 2008-12-30 07:37 javac -> /usr/lib/jvm/java-1.5.0-gcj/bin/javac
-lrwxrwxrwx 1 root root 39 2008-12-30 07:37 javadoc -> /usr/lib/jvm/java-1.5.0-gcj/bin/javadoc
-lrwxrwxrwx 1 root root 37 2008-12-30 07:37 javah -> /usr/lib/jvm/java-1.5.0-gcj/bin/javah
+lrwxrwxrwx 1 root root 35 2008-12-30 07:38 jar -> /usr/lib/jvm/java-1.5.0-gcj/bin/jar
+lrwxrwxrwx 1 root root 41 2008-12-30 07:38 jarsigner -> /usr/lib/jvm/java-1.5.0-gcj/bin/jarsigner
+lrwxrwxrwx 1 root root 35 2008-12-30 07:38 java -> /usr/lib/jvm/jre-1.5.0-gcj/bin/java
+lrwxrwxrwx 1 root root 37 2008-12-30 07:38 javac -> /usr/lib/jvm/java-1.5.0-gcj/bin/javac
+lrwxrwxrwx 1 root root 39 2008-12-30 07:38 javadoc -> /usr/lib/jvm/java-1.5.0-gcj/bin/javadoc
+lrwxrwxrwx 1 root root 37 2008-12-30 07:38 javah -> /usr/lib/jvm/java-1.5.0-gcj/bin/javah
 lrwxrwxrwx 1 root root 52 2008-12-15 00:14 javamail -> /usr/share/java/classpathx-mail-1.3.1-monolithic.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 javamail_1_3_1_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 javamail_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
-lrwxrwxrwx 1 root root 27 2008-12-30 07:37 java_sdk -> /usr/lib/jvm/java-1.5.0-gcj
-lrwxrwxrwx 1 root root 27 2008-12-30 07:37 java_sdk_1.5.0 -> /usr/lib/jvm/java-1.5.0-gcj
-lrwxrwxrwx 1 root root 35 2008-12-30 07:37 java_sdk_1.5.0_exports -> /usr/lib/jvm-exports/java-1.5.0-gcj
-lrwxrwxrwx 1 root root 35 2008-12-30 07:37 java_sdk_exports -> /usr/lib/jvm-exports/java-1.5.0-gcj
-lrwxrwxrwx 1 root root 27 2008-12-30 07:37 java_sdk_gcj -> /usr/lib/jvm/java-1.5.0-gcj
-lrwxrwxrwx 1 root root 35 2008-12-30 07:37 java_sdk_gcj_exports -> /usr/lib/jvm-exports/java-1.5.0-gcj
-lrwxrwxrwx 1 root root 48 2008-12-30 07:37 javaws -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/javaws
+lrwxrwxrwx 1 root root 27 2008-12-30 07:38 java_sdk -> /usr/lib/jvm/java-1.5.0-gcj
+lrwxrwxrwx 1 root root 27 2008-12-30 07:38 java_sdk_1.5.0 -> /usr/lib/jvm/java-1.5.0-gcj
+lrwxrwxrwx 1 root root 35 2008-12-30 07:38 java_sdk_1.5.0_exports -> /usr/lib/jvm-exports/java-1.5.0-gcj
+lrwxrwxrwx 1 root root 35 2008-12-30 07:38 java_sdk_exports -> /usr/lib/jvm-exports/java-1.5.0-gcj
+lrwxrwxrwx 1 root root 27 2008-12-30 07:38 java_sdk_gcj -> /usr/lib/jvm/java-1.5.0-gcj
+lrwxrwxrwx 1 root root 35 2008-12-30 07:38 java_sdk_gcj_exports -> /usr/lib/jvm-exports/java-1.5.0-gcj
 lrwxrwxrwx 1 root root 29 2008-12-21 11:33 jaxp_parser_impl -> /usr/share/java/xerces-j2.jar
 lrwxrwxrwx 1 root root 28 2008-12-14 17:28 jaxp_transform_impl -> /usr/share/java/xalan-j2.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 jaxr_1_0_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
@@ -56,14 +54,14 @@
 lrwxrwxrwx 1 root root 40 2008-12-29 21:06 jms_1_1_api -> /usr/share/java/geronimo-jms-1.1-api.jar
 lrwxrwxrwx 1 root root 40 2008-12-29 21:06 jms_api -> /usr/share/java/geronimo-jms-1.1-api.jar
 lrwxrwxrwx 1 root root 33 2008-12-15 00:16 jmxri -> /usr/share/java/mx4j/mx4j-jmx.jar
-lrwxrwxrwx 1 root root 37 2008-12-30 07:37 jre -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64
-lrwxrwxrwx 1 root root 26 2008-12-30 07:37 jre_1.5.0 -> /usr/lib/jvm/jre-1.5.0-gcj
-lrwxrwxrwx 1 root root 34 2008-12-30 07:37 jre_1.5.0_exports -> /usr/lib/jvm-exports/jre-1.5.0-gcj
+lrwxrwxrwx 1 root root 26 2008-12-30 07:38 jre -> /usr/lib/jvm/jre-1.5.0-gcj
+lrwxrwxrwx 1 root root 26 2008-12-30 07:38 jre_1.5.0 -> /usr/lib/jvm/jre-1.5.0-gcj
+lrwxrwxrwx 1 root root 34 2008-12-30 07:38 jre_1.5.0_exports -> /usr/lib/jvm-exports/jre-1.5.0-gcj
 lrwxrwxrwx 1 root root 37 2008-12-30 07:37 jre_1.6.0 -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64
 lrwxrwxrwx 1 root root 45 2008-12-30 07:37 jre_1.6.0_exports -> /usr/lib/jvm-exports/jre-1.6.0-openjdk.x86_64
-lrwxrwxrwx 1 root root 45 2008-12-30 07:37 jre_exports -> /usr/lib/jvm-exports/jre-1.6.0-openjdk.x86_64
-lrwxrwxrwx 1 root root 26 2008-12-30 07:37 jre_gcj -> /usr/lib/jvm/jre-1.5.0-gcj
-lrwxrwxrwx 1 root root 34 2008-12-30 07:37 jre_gcj_exports -> /usr/lib/jvm-exports/jre-1.5.0-gcj
+lrwxrwxrwx 1 root root 34 2008-12-30 07:38 jre_exports -> /usr/lib/jvm-exports/jre-1.5.0-gcj
+lrwxrwxrwx 1 root root 26 2008-12-30 07:38 jre_gcj -> /usr/lib/jvm/jre-1.5.0-gcj
+lrwxrwxrwx 1 root root 34 2008-12-30 07:38 jre_gcj_exports -> /usr/lib/jvm-exports/jre-1.5.0-gcj
 lrwxrwxrwx 1 root root 37 2008-12-30 07:37 jre_openjdk -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64
 lrwxrwxrwx 1 root root 45 2008-12-30 07:37 jre_openjdk_exports -> /usr/lib/jvm-exports/jre-1.6.0-openjdk.x86_64
 lrwxrwxrwx 1 root root 39 2008-12-27 21:09 jsp -> /usr/share/java/tomcat6-jsp-2.1-api.jar
@@ -75,8 +73,7 @@
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 jta_1_0_1B_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
 lrwxrwxrwx 1 root root 40 2008-12-15 00:25 jta_1_1_api -> /usr/share/java/geronimo-jta-1.1-api.jar
 lrwxrwxrwx 1 root root 40 2008-12-29 21:06 jta_api -> /usr/share/java/geronimo-jta-1.1-api.jar
-lrwxrwxrwx 1 root root 49 2008-12-30 07:37 keytool -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/keytool
-lrwxrwxrwx 1 root root 51 2008-12-30 07:37 keytool.1.gz -> /usr/share/man/man1/keytool-java-1.6.0-openjdk.1.gz
+lrwxrwxrwx 1 root root 38 2008-12-30 07:38 keytool -> /usr/lib/jvm/jre-1.5.0-gcj/bin/keytool
 lrwxrwxrwx 1 root root 64 2008-12-30 07:37 libjavaplugin.so.x86_64 -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/IcedTeaPlugin.so
 lrwxrwxrwx 1 root root 20 2008-12-14 06:35 mkisofs -> /usr/bin/genisoimage
 lrwxrwxrwx 1 root root 20 2008-12-14 06:35 mkisofs-mkhybrid -> /usr/bin/genisoimage
@@ -91,13 +88,7 @@
 lrwxrwxrwx 1 root root 23 2008-12-14 06:29 mta-rmail -> /usr/bin/rmail.sendmail
 lrwxrwxrwx 1 root root 26 2008-12-14 06:29 mta-sendmail -> /usr/lib/sendmail.sendmail
 lrwxrwxrwx 1 root root 42 2008-12-14 06:29 mta-sendmailman -> /usr/share/man/man8/sendmail.sendmail.8.gz
-lrwxrwxrwx 1 root root 46 2008-12-30 07:37 orbd -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/orbd
-lrwxrwxrwx 1 root root 48 2008-12-30 07:37 orbd.1.gz -> /usr/share/man/man1/orbd-java-1.6.0-openjdk.1.gz
-lrwxrwxrwx 1 root root 49 2008-12-30 07:37 pack200 -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/pack200
-lrwxrwxrwx 1 root root 51 2008-12-30 07:37 pack200.1.gz -> /usr/share/man/man1/pack200-java-1.6.0-openjdk.1.gz
 lrwxrwxrwx 1 root root 24 2008-12-14 06:24 pinentry -> /usr/bin/pinentry-curses
-lrwxrwxrwx 1 root root 52 2008-12-30 07:37 policytool -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/policytool
-lrwxrwxrwx 1 root root 54 2008-12-30 07:37 policytool.1.gz -> /usr/share/man/man1/policytool-java-1.6.0-openjdk.1.gz
 lrwxrwxrwx 1 root root 17 2008-12-14 13:30 print -> /usr/bin/lpr.cups
 lrwxrwxrwx 1 root root 20 2008-12-14 13:30 print-cancel -> /usr/bin/cancel.cups
 lrwxrwxrwx 1 root root 36 2008-12-14 13:30 print-cancelman -> /usr/share/man/man1/cancel-cups.1.gz
@@ -115,15 +106,10 @@
 lrwxrwxrwx 1 root root 32 2008-12-15 00:25 qname -> /usr/share/java/wsdl4j-qname.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 qname_1_1_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 qname_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
-lrwxrwxrwx 1 root root 36 2008-12-30 07:37 rmic -> /usr/lib/jvm/java-1.5.0-gcj/bin/rmic
-lrwxrwxrwx 1 root root 46 2008-12-30 07:37 rmid -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/rmid
-lrwxrwxrwx 1 root root 48 2008-12-30 07:37 rmid.1.gz -> /usr/share/man/man1/rmid-java-1.6.0-openjdk.1.gz
-lrwxrwxrwx 1 root root 53 2008-12-30 07:37 rmiregistry -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/rmiregistry
-lrwxrwxrwx 1 root root 55 2008-12-30 07:37 rmiregistry.1.gz -> /usr/share/man/man1/rmiregistry-java-1.6.0-openjdk.1.gz
+lrwxrwxrwx 1 root root 36 2008-12-30 07:38 rmic -> /usr/lib/jvm/java-1.5.0-gcj/bin/rmic
+lrwxrwxrwx 1 root root 42 2008-12-30 07:38 rmiregistry -> /usr/lib/jvm/jre-1.5.0-gcj/bin/rmiregistry
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 saaj_1_1_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 saaj_api -> /usr/share/java/geronimo-j2ee-1.4-apis.jar
-lrwxrwxrwx 1 root root 52 2008-12-30 07:37 servertool -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/servertool
-lrwxrwxrwx 1 root root 54 2008-12-30 07:37 servertool.1.gz -> /usr/share/man/man1/servertool-java-1.6.0-openjdk.1.gz
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 servlet -> /usr/share/java/jetty6-servlet-2.5-api.jar
 lrwxrwxrwx 1 root root 37 2008-12-29 21:06 servlet_2_3_api -> /usr/share/java/servletapi4-4.0.4.jar
 lrwxrwxrwx 1 root root 43 2008-12-29 21:06 servlet_2_4_api -> /usr/share/java/tomcat5-servlet-2.4-api.jar
@@ -131,9 +117,5 @@
 lrwxrwxrwx 1 root root 42 2008-12-29 21:06 servlet_api -> /usr/share/java/jetty6-servlet-2.5-api.jar
 lrwxrwxrwx 1 root root 41 2008-12-14 17:28 stax_1_0_api -> /usr/share/java/geronimo-stax-1.0-api.jar
 lrwxrwxrwx 1 root root 41 2008-12-14 17:28 stax_api -> /usr/share/java/geronimo-stax-1.0-api.jar
-lrwxrwxrwx 1 root root 51 2008-12-30 07:37 tnameserv -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/tnameserv
-lrwxrwxrwx 1 root root 53 2008-12-30 07:37 tnameserv.1.gz -> /usr/share/man/man1/tnameserv-java-1.6.0-openjdk.1.gz
 lrwxrwxrwx 1 root root 49 2008-12-14 06:38 totem-backend -> /usr/lib64/libbaconvideowidget-gstreamer.so.0.0.0
-lrwxrwxrwx 1 root root 51 2008-12-30 07:37 unpack200 -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/unpack200
-lrwxrwxrwx 1 root root 53 2008-12-30 07:37 unpack200.1.gz -> /usr/share/man/man1/unpack200-java-1.6.0-openjdk.1.gz
 lrwxrwxrwx 1 root root 33 2008-12-14 06:32 xinputrc -> /etc/X11/xinit/xinput.d/scim.conf